@extends('layouts.test15')

@section('content')

<body>

    <div class="container">
        <span class="badge badge-danger">
            <h1>KiDs Do</h1>
        </span><br><br>
        <div id="start-btn-div" class="box">
            <button id="start-game-btn" type="button" class="btn btn-success btn-block">START</button>
        </div>
    </div>

    <!-- START GAME -->

    <div id="game-div" class="well">
        <div id="math-part">
            <div id="display" class="well col-xs-6">
                <div id="try-screen">
                    <form name="scoreform" method="get" action="{{route('game.addscore')}}">
                        <div>
                            <label class="label">Game Over</label>
                            <input type="hidden" id="final-score" name="score">
                            <input type="hidden" id="final-score" name="user_id" value="{{Auth::user()->id}}">
                            <p id="finalscore">Your score was 0</p>
                        </div>
                        <div>
                            <input type="submit" class="btn btn-success" name="sendscore" value="NEXT">
                        </div>
                    </form>
                </div>

                <div id="working-screen" class="col-xs-6">
                    <div id="progressbar"></div>
                    <br>
                    <p id="expression">7 + 7</p>
                    <p id="result">= 14</p>
                    <div class="container">
                        <button id="tick" type="button" class="btn btn-outline-success">TRUE</button>
                        <button id="cross" type="button" class="btn btn-outline-danger">FALSE</button>
                    </div>
                </div> <!-- end of working screen -->
            </div>
            <div id="score" class=".col-sm-4">
                <p>Score: </p>
            </div>

        </div>
    </div>
</body>
<script type="text/javascript">
    var tick = document.getElementById("tick");
    var cross = document.getElementById("cross");

    var tryDisplay = document.getElementById("try-screen");
    var workDisplay = document.getElementById("working-screen");

    var finalScoreScreen = document.getElementById("final-score");
    var progressBar = $("#progressbar");
    var exprScreen = document.getElementById("expression");
    var resScreen = document.getElementById("result");
    var scoreScreen = document.getElementById("score");
    var showscore = document.getElementById("finalscore");

    var a, b, r, ir, rand_ans, isCorrect;
    var score = 0;
    var wrongAnswer = false;
    var correctClick = 0;
    var time = 5000;

    function randomExpressionMember() {
        return Math.floor(Math.random() * 10 + 1);
    }

    // Create current expression
    function createPlusExpression() {
        a = randomExpressionMember();
        b = randomExpressionMember();
        // correct answer;
        r = a + b;
        rand_ans = Math.floor(Math.random() * (Math.round(r * 0.7)) * 1.5 + Math.round(r / 2) + 1);

        if (rand_ans === r) {
            rand_ans += 1;
        };

        isCorrect = Math.round(Math.random()) ? true : false;
        console.log("Is Correct r displayed", isCorrect)
        return a, b, r, rand_ans, isCorrect;
    }

    function createMinusExpression() {
        a = randomExpressionMember();
        b = randomExpressionMember();
        r = a - b;

        rand_ans = Math.floor(Math.random() * (Math.round(r * 0.7)) * 1.5 + Math.round(r / 2) + 1);
        if (rand_ans === r) {
            rand_ans += 1;
        };
        isCorrect = Math.round(Math.random()) ? true : false;
        console.log("Is Correct r displayed", isCorrect)
        return a, b, r, rand_ans, isCorrect;
    }


    function displayProgressBar() {
        // animate progress bar
        progressBar.width(0).animate({
                width: "100%"
            },
            time - (score / 10),
            "linear",
            function() {

                restart();

            }
        );
    }


    function displayExpression(a, b, r, rand_ans, isCorrect, opr) {

        if (opr == "+") {
            exprScreen.textContent = a + " + " + b;
        } else if (opr == "-") {
            exprScreen.textContent = a + " - " + b;
        }

        if (isCorrect) {
            resScreen.textContent = " = " + r;
        } else {
            resScreen.textContent = " = " + rand_ans;
        }

        scoreScreen.textContent = "Score: " + score;

    }

    function restart() {
        // clear screen
        progressBar.finish();
        finalScoreScreen.setAttribute("value", score);
        showscore.textContent = "Your score was " + score + " !!";
        scoreScreen.style.display = "none";
        workDisplay.style.display = "none";
        tryDisplay.style.display = "block";

        wrongAnswer = false;
        score = 0;
        scoreScreen.textContent = "Score: " + score;
    }

    function runPlayerTurn() {
        what = Math.floor(Math.random() * 2);
        if (what == 0) {
            createPlusExpression();
            displayExpression(a, b, r, rand_ans, isCorrect, "+");
        } else {
            createMinusExpression();
            displayExpression(a, b, r, rand_ans, isCorrect, "-");
        }
        displayProgressBar();

    }

    tick.addEventListener("click", function() {
        console.log("clicked tick");
        progressBar.stop();
        if (isCorrect) {
            score += 1;
            console.log("correct answer");
            runPlayerTurn();
        } else {
            wrongAnswer = true;
            console.log("incorrect answer");
            restart();
        }
    }, false);

    cross.addEventListener("click", function() {
        console.log("clicked cross");
        progressBar.stop();
        if (!isCorrect) {
            score += 1;
            runPlayerTurn();
        } else {
            wrongAnswer = true;
            restart();
        }
    }, false);


    function runGame() {
        runPlayerTurn();
        console.log("looped");
    }
    $('#start-game-btn').click(function() {
        // controls
        $('#game-div').slideToggle();
        // btn
        $('#start-game-btn').toggle();
        runGame();
    });
</script>

@endsection